ur_rna.RNAstructureUI.windows

## Class PredictBimolStructureWindow.PredictTask

- java.lang.Object
- - ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase
  - - ur_rna.RNAstructureUI.windows.PredictBimolStructureWindow.PredictTask

- All Implemented Interfaces:
    java.lang.Runnable, PredictWindowBase.BackgroundTask
  Enclosing class:
    PredictBimolStructureWindow

      private class PredictBimolStructureWindow.PredictTask
      extends PredictWindowBase.PredictTaskBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `conFile1`
    `(package private) java.lang.String` | `conFile2`
    `(package private) boolean` | `isRNA`
    `(package private) int` | `maxEnergyDiff`
    `(package private) int` | `maxLoopSize`
    `(package private) int` | `maxStructures`
    `(package private) java.lang.String` | `outBase1`
    `(package private) java.lang.String` | `outBase2`
    `(package private) java.lang.String` | `outBiCt`
    `(package private) java.lang.String` | `outDupCt`
    `(package private) java.lang.String` | `outShared`
    `(package private) int` | `seqType1`
    `(package private) int` | `seqType2`
    `(package private) java.lang.String` | `sequence1`
    `(package private) java.lang.String` | `sequence2`
    `(package private) double` | `temperature`
    `(package private) int` | `windowSize`

    - ### Fields inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase

      `canCancel, errorMessage, hadError, isCanceled, nextStepWork, status, stepProgress, workDone`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `PredictTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `runCalc()`
    `protected boolean` | `showResults()` Show the results window.

    - ### Methods inherited from class ur_rna.RNAstructureUI.windows.PredictWindowBase.PredictTaskBase

      `cancel, checkError, checkError, checkError, checkError, checkError, getProgress, getStatus, isCancelable, nextStep, onComplete, run, setError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### conFile1

          java.lang.String conFile1

    - #### conFile2

          java.lang.String conFile2

    - #### isRNA

          boolean isRNA

    - #### maxEnergyDiff

          int maxEnergyDiff

    - #### maxLoopSize

          int maxLoopSize

    - #### maxStructures

          int maxStructures

    - #### outBase1

          java.lang.String outBase1

    - #### outBase2

          java.lang.String outBase2

    - #### outBiCt

          java.lang.String outBiCt

    - #### outDupCt

          java.lang.String outDupCt

    - #### outShared

          java.lang.String outShared

    - #### seqType1

          int seqType1

    - #### seqType2

          int seqType2

    - #### sequence1

          java.lang.String sequence1

    - #### sequence2

          java.lang.String sequence2

    - #### temperature

          double temperature

    - #### windowSize

          int windowSize

  - ### Constructor Detail

    - #### PredictTask

          private PredictTask()

  - ### Method Detail

    - #### runCalc

          protected void runCalc()

      Specified by:
        `runCalc` in class `PredictWindowBase.PredictTaskBase`

    - #### showResults

          protected boolean showResults()

      Show the results window.
      Specified by:
        `showResults` in class `PredictWindowBase.PredictTaskBase`
      Returns:
        True if the results window could be shown. False otherwise.